Subject: Re: [PATCH 1/2] DONTAPPLY: -Og fallout workaround

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 12 Jun 2024 06:42:28 +0200

On Tue, Jun 11, 2024 at 10:30:24AM -0700, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> > But now that I see the full picture of this with different compiler
> > options I have to agree that this is not really worth it. Especially not
> > given that Coverity is able to detect such cases, even though that only
> > happens retroactively after a topic has landed.
> >
> > Let's drop this experiment.
> 
> OK, but let's keep the CFLAGS_APPEND one ;-)

Sure, let's do that. I assume you'll just cherry-pick that single
commit?

Patrick